groovy.util.slurpersupport

## Class FilteredAttributes

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.util.slurpersupport.GPathResult
    - - groovy.util.slurpersupport.NodeChildren
      - - groovy.util.slurpersupport.Attributes
        - - groovy.util.slurpersupport.FilteredAttributes

All Implemented Interfaces:
  Buildable, GroovyObject, Writable, java.lang.Iterable

    public class FilteredAttributes
    extends Attributes

Lazy evaluated representation of a node's attributes filtered by a Closure.

Author:
  John Wilson

### Field Summary

### Fields inherited from class groovy.util.slurpersupport.GPathResult

`name, namespaceMap, namespacePrefix, namespaceTagHints, parent`

### Constructor Summary

Constructors
Constructor and Description
`FilteredAttributes(GPathResult parent, Closure closure, java.util.Map<java.lang.String,java.lang.String> namespaceTagHints)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Iterator` `nodeIterator()`

### Methods inherited from class groovy.util.slurpersupport.Attributes

`build, childNodes, findAll, iterator, list, name, parents, text, writeTo`

### Methods inherited from class groovy.util.slurpersupport.NodeChildren

`appendNode, find, replaceBody, replaceNode, size`

### Methods inherited from class groovy.util.slurpersupport.GPathResult

`breadthFirst, children, declareNamespace, depthFirst, equals, getAt, getAt, getBody, getProperty, hashCode, isEmpty, leftShift, lookupNamespace, parent, plus, pop, putAt, setMetaClass, setProperty, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL`

### Methods inherited from class groovy.lang.GroovyObjectSupport

`getMetaClass, invokeMethod`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### FilteredAttributes

    public FilteredAttributes(GPathResult parent,
                              Closure closure,
                              java.util.Map<java.lang.String,java.lang.String> namespaceTagHints)

Parameters:
  `parent` - the GPathResult prior to the application of the expression creating this GPathResult
  `closure` - the Closure to use to filter the attributes
  `namespaceTagHints` - the known tag to namespace mappings

### Method Detail

#### nodeIterator

    public java.util.Iterator nodeIterator()

Overrides:
  `nodeIterator` in class `Attributes`